This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 385151 - xview clients crash under Fedora 8
xview clients crash under Fedora 8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
http://www.physionet.org/physiotools/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 13:11 EST by Need Real Name
Modified: 2014-06-18 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:25:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xview srpm for Fedora 8 (3.17 MB, application/x-rpm)
2007-11-16 16:31 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2007-11-15 13:11:58 EST
Description of problem: The NMRDraw program of NMRPipe crashes under Fedora 8
with the error...

nmrdraw: xcb_io.c:285: _XAllocID: Assertion `!(dpy->flags & (1L << 3))' failed.
Abort

This problem is also seen with the OpenSuse 10.3...

http://tech.groups.yahoo.com/group/nmrpipe/message/1602

This problems sounds like the generic issue discussed here...

https://lists.linux-foundation.org/pipermail/lsb-discuss/2007-August/004168.html

It would appear that these new XPROTO tests need to be disabled.
This problem doesn't exist under Fedora 7.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Fedora 8 i386
2. Install NMRPipe
3. execute nmrDraw
  
Actual results:
nmrDraw should open its windows as shown in the screenshot at
http://spin.niddk.nih.gov/NMRPipe/.

Expected results:
The nmrDraw program aborts with the error...

nmrdraw: xcb_io.c:285: _XAllocID: Assertion `!(dpy->flags & (1L << 3))' failed.
Abort


Additional info:
https://lists.linux-foundation.org/pipermail/lsb-discuss/2007-August/004168.html
http://tech.groups.yahoo.com/group/nmrpipe/message/1602
Comment 1 Need Real Name 2007-11-16 10:18:57 EST
This problem can be hacked around by making sure that nmrdraw runs against a
copy of libX11.so.6.2.0 from Fedora 7 or OpenSuse 10.2 when executed under
Fedora 8 or OpenSuse 10.3. I suspect this indicates the problem is related to
the new linkage of libX11 with libxcb?
Comment 2 Need Real Name 2007-11-16 10:38:15 EST
The newer libxcb-1.1-1.fc9.src.rpm when built under Fedora 8 against the package
built from xcb-proto-1.1-1.fc9.src.rpm under Fedora 8 doesn't solve the crash.
Only the libX11.so.6.2.0 from Fedora 7 eliminates the crash in nmrDraw.
Comment 3 Need Real Name 2007-11-16 12:44:46 EST
Opps. This problem appears to be in xview rather than nmrdraw itself. The xview
clock and textedit clients both crash with the same error.
Comment 4 Need Real Name 2007-11-16 16:29:55 EST
I have built a debug version of xview 3.1.2 under Fedora Core 8 and posted the
gdb backtrace for a crash in the openwin clock client....

http://lists.freedesktop.org/archives/xorg/2007-November/030278.html
Comment 5 Need Real Name 2007-11-16 16:31:12 EST
Created attachment 261821 [details]
xview srpm for Fedora 8
Comment 6 Need Real Name 2007-11-16 19:47:42 EST
A hack to work around this problem in xview has been available for awhile at...

https://lists.ubuntu.com/archives/ubuntu-bugs/2007-March/436653.html

I observe the same behavior under Fedora 8. Any one of the four XAllocID() calls
can succeed in server.c of libxview. However a second call to XAllocID() will always
fail. The workaround is to substitute a single call to XAllocIDs() to handle all four of
the XAllocID changes at once. This solves both the crashes in the openwin clients
like clock and the problems with nmrDraw. Although a workaround exists, it would 
be nice if the underlying bug in x.org were fixed.
                Jack
Comment 7 Need Real Name 2007-11-19 10:15:59 EST
Martin Buck of Debian believes that this is a latent bug in xview since the
documentation of the XAllocIDs() suggests that multiple calls are a problem...

http://www.tronche.com/gui/x/xlib/appendix/c/XAllocIDs.html

It would be nice if upstream could make this problem more explicit.
Particularly, the appendix on XAllocID() doesn't mention multiple calls at all
and that is the one triggering the problem.
Comment 8 Bug Zapper 2008-11-26 03:27:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:25:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.